using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFTreeColumnMap : APTEntityBaseMap<T_PF_TREE_COLUMN>
    {

		public override void Configure(EntityTypeBuilder<T_PF_TREE_COLUMN> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.ENUM)
			 .HasMaxLength(50);
			builder.Property(t => t.FORMAT)
		  .HasMaxLength(50);
			builder.Property(t => t.QUERY_FORMAT)
		  .HasMaxLength(50);
			builder.Property(t => t.FIELD_NAME)
			   .HasMaxLength(100);
		}
		 
    }
}
